MozillaZine

Firefox 0.9 compatible Themes

Discuss application theming and theme development.
R A F

User avatar
 
Posts: 999
Joined: December 29th, 2003, 3:28 pm
Location: The Netherlands

Post Posted June 4th, 2004, 2:51 pm

fishbert wrote:In the TB0.7-compatable themes topic, someone suggested manually editing the chrome.rdf file to use the installed themes.
http://forums.mozillazine.org/viewtopic ... 641#560641

I tried this with the Smoke theme for Firefox on the 20040604 branch build, and it just crapped on me. So, I wouldn't suggest that route.

I had the same problem with Orbit Bronze. I also tried Smoke, which installs, as Orbit Bronze now does, but I can't seem to use either of them. This was on the June 3rd build (.zip). Glad it's not just me ; )

fishbert

User avatar
 
Posts: 941
Joined: November 29th, 2002, 12:02 am

Post Posted June 4th, 2004, 3:32 pm

A more complete answer as to why 3rd-party FF0.9/TB0.7-compatable themes are presently installable but unusable may be found here:
http://forums.mozillazine.org/viewtopic ... 966#560966

Sailfish
 
Posts: 5681
Joined: November 5th, 2002, 4:58 pm

Post Posted June 4th, 2004, 5:28 pm

fishbert, I'm not sure that's the complete answer? I can still install and use the Sky Pilot Classic theme without any problem.

I'm not saying this as self-promotion, only that its odd that it seems to work while others don't. I do not have an answer to it, sorry....

fishbert

User avatar
 
Posts: 941
Joined: November 29th, 2002, 12:02 am

Post Posted June 5th, 2004, 12:08 am

A "more complete" answer... not a "complete" answer. =)

Sailfish
 
Posts: 5681
Joined: November 5th, 2002, 4:58 pm

Post Posted June 5th, 2004, 12:57 am

Okay. Someone once told me that the worst thing that could happen when one first tests their stuff on a new system is that it passes.

I've got this gut feeling that Sky Pilot Classic may just be seeming to work at this time. I'll need to keep a close eye on it as 0.9 progresses.

Jeff_pony
Moderator

User avatar
 
Posts: 8790
Joined: January 5th, 2003, 12:38 pm
Location: (.uk)

Post Posted June 5th, 2004, 3:38 am

People need to report any themes that are not fully compatible to make this list as accurate as possible.
Please PM the mod team when you see a rule infraction
Life State:: McLovin it
Camino v2.1 (pre)

fishbert

User avatar
 
Posts: 941
Joined: November 29th, 2002, 12:02 am

Post Posted June 5th, 2004, 10:16 am

by "fully compatible" do you mean 'those that have been packaged correctly for 0.9' or 'those that we can actually use today'?

gahbmwM5

User avatar
 
Posts: 1060
Joined: June 21st, 2003, 12:31 pm
Location: USA

Post Posted June 5th, 2004, 11:24 am

Just in case some theme authors have not seen this post by Ben G. this morning titled: "Your Themes Are Broken!"...here is a link:

http://forums.mozillazine.org/viewtopic.php?t=82227
Mozilla/5.0 (Windows NT 6.0; rv:2.0b7) Gecko/20100101 Firefox/4.0b7

Kasteo

User avatar
 
Posts: 670
Joined: August 24th, 2003, 9:16 am
Location: Thailand

Post Posted June 5th, 2004, 12:14 pm

Last edited by Kasteo on June 5th, 2004, 2:49 pm, edited 1 time in total.
Noia 2.0 theme for Firefox & Thunderbird
- Compaq Presario 2190US, 2.4GHz, 1024MB DDR RAM, 40GB 5400rpm HDD.
- Windows Server 2003 Enterprise, Gecko/20040925 Firefox/0.10 (MOOX M3)

w1cpo

User avatar
 
Posts: 49
Joined: February 12th, 2004, 8:56 pm
Location: Central Florida

Post Posted June 5th, 2004, 1:21 pm



Kasteo, I get a double mail icon with this newest version...

Noia2_full version 2.63

Kasteo

User avatar
 
Posts: 670
Joined: August 24th, 2003, 9:16 am
Location: Thailand

Post Posted June 5th, 2004, 2:49 pm

Thank you. Problem fixed. :D
Noia 2.0 theme for Firefox & Thunderbird
- Compaq Presario 2190US, 2.4GHz, 1024MB DDR RAM, 40GB 5400rpm HDD.
- Windows Server 2003 Enterprise, Gecko/20040925 Firefox/0.10 (MOOX M3)

w1cpo

User avatar
 
Posts: 49
Joined: February 12th, 2004, 8:56 pm
Location: Central Florida

Post Posted June 5th, 2004, 4:17 pm

Kasteo wrote:Thank you. Problem fixed. :D


Ahhh, it's perfect again... thanks!

Jeff_pony
Moderator

User avatar
 
Posts: 8790
Joined: January 5th, 2003, 12:38 pm
Location: (.uk)

Post Posted June 6th, 2004, 1:41 am

fishbert wrote:by "fully compatible" do you mean 'those that have been packaged correctly for 0.9' or 'those that we can actually use today'?

Themes that can install ok basically. Newer builds of Fx have removed the older theme interface so if a theme installs or not has become more obvious.
Please PM the mod team when you see a rule infraction
Life State:: McLovin it
Camino v2.1 (pre)

aaron

User avatar
 
Posts: 3130
Joined: November 4th, 2002, 8:49 pm
Location: Texas

Post Posted June 6th, 2004, 9:16 am

I'll fix my themes today or tomorrow...

wgianopoulos

User avatar
 
Posts: 1737
Joined: July 23rd, 2003, 8:15 am

Post Posted June 7th, 2004, 10:21 am

Maybe it's just me, but I canot get any of the themes listed in this post as being compatable with Firefox 0.9 to install. They all produce a pop-up saying:

Java Virtual Machine Loader

Failed to load Main-class manifest attribute from [filename]

My build ID is:

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040607 Firefox/0.8.0+

Return to Theme Development


Who is online

Users browsing this forum: No registered users and 3 guests